Package com.evopdf

# Class LineElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.PageGraphicElement
com.evopdf.LineElement

public class LineElement extends PageGraphicElement
This class represents a line element that can be added to a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineElement(float startX, float startY, float endX, float endY)`
  Constructs a line element

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `endX()`
  Gets the end X coordinate
  `float`
  `endY()`
  Gets the end Y coordinate
  `void`
  `setEndX(float endX)`
  Sets the end X coordinate
  `void`
  `setEndY(float endY)`
  Sets the end Y coordinate
  `void`
  `setStartX(float startX)`
  Sets the start X coordinate
  `void`
  `setStartY(float startY)`
  Sets the start Y coordinate
  `float`
  `startX()`
  Gets the start X coordinate
  `float`
  `startY()`
  Gets the start Y coordinate

  ### Methods inherited from class com.evopdf.PageGraphicElement

  `backColor, blending, clipRectangle, foreColor, gradient, lineStyle, opacity, rotate, scale, setBackColor, setBlending, setClipRectangle, setForeColor, setGradient, setLineStyle, setOpacity, skew, translate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LineElement

    public LineElement(float startX, float startY, float endX, float endY)
    Constructs a line element
    Parameters:
      `startX` - the start X coordinate
      `startY` - the start Y coordinate
      `endX` - the end X coordinate
      `endY` - the end Y coordinate

- ## Method Details

  - ### startX

    public float startX()
    Gets the start X coordinate
    Returns:
      the start X coordinate

  - ### setStartX

    public void setStartX(float startX)
    Sets the start X coordinate
    Parameters:
      `startX` - the start X coordinate

  - ### startY

    public float startY()
    Gets the start Y coordinate
    Returns:
      the start Y coordinate

  - ### setStartY

    public void setStartY(float startY)
    Sets the start Y coordinate
    Parameters:
      `startY` - the start Y coordinate

  - ### endX

    public float endX()
    Gets the end X coordinate
    Returns:
      the end X coordinate

  - ### setEndX

    public void setEndX(float endX)
    Sets the end X coordinate
    Parameters:
      `endX` - the end X coordinate

  - ### endY

    public float endY()
    Gets the end Y coordinate
    Returns:
      the end Y coordinate

  - ### setEndY

    public void setEndY(float endY)
    Sets the end Y coordinate
    Parameters:
      `endY` - the end Y coordinate